summaryrefslogtreecommitdiff
path: root/tests/misc/pathchk1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/pathchk1')
-rwxr-xr-xtests/misc/pathchk14
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/misc/pathchk1 b/tests/misc/pathchk1
index ecc131f4a..5735b4e67 100755
--- a/tests/misc/pathchk1
+++ b/tests/misc/pathchk1
@@ -20,7 +20,7 @@ touch file || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -29,4 +29,4 @@ fail=0
# but exited successfully.
pathchk file/x > /dev/null 2>&1 && fail=1
-(exit $fail); exit
+(exit $fail); exit $fail